<?php
/*
Plugin Name: Fichta	
Plugin URI: http://www.philhadj.com
Description: Ce widget affiche les dates des fêtes musulmanes  et des jours fériés Sunnites Malékites.
Author: Philhadj
Version: 2.0
License: GPLv2 or later
Author URI: http://www.philhadj.com
*/
 
 class fichta 
	extends WP_Widget
		{
		function fichta()
		{
			$widget_ops = array('classname' => 'fichta', 'description' => 'Fêtes et Jours fériés Musulman.' );
			$this->WP_Widget('fichta', 'Fêtes Musulmanes', $widget_ops);
		}
 
		function form($instance)
		{
			$instance = wp_parse_args( (array) $instance, array( 'Titre' => '' ) );
			$Titre = $instance['Titre'];
?>

	<p>
		<label for="<?php echo $this->get_field_id('Titre'); ?>">
		Titre : <input class="widefat" id="<?php echo $this->get_field_id('Titre'); ?>" name="<?php echo $this->get_field_name('Titre'); ?>" type="text" value="<?php echo esc_attr($Titre); ?>" /></label>
	</p>

<?php
	}
 
		function update($new_instance, $old_instance)
		{
			$instance = $old_instance;
			$instance['Titre'] = $new_instance['Titre'];
			return $instance;
		}
 
		function widget($args, $instance)
		{
			extract($args, EXTR_SKIP);
			echo $before_widget;
			$Titre = empty($instance['Titre']) ? ' ' : apply_filters('widget_title', $instance['Titre']);
 
			if (!empty($Titre))
			echo $before_title . $Titre . $after_title;;
 
		// jours fériés / days off
		
		$date = date("d,m");
		if($date == "24,01")     { echo '<img src="' . plugins_url( 'images/fete.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Mawlid an-Nabi - Sana Saïda !</strong></td></tr></table></div>")>';}
		else if($date == "04,11"){ echo '<img src="' . plugins_url( 'images/fete.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Raas Assana - Nouvel an</strong></td></tr></table></div>")>';}
		else if($date == "13,11"){ echo '<img src="' . plugins_url( 'images/fete.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Achoura - 10 Muharem</strong></td></tr></table></div>")>';}
		else if($date == "04,06"){ echo '<img src="' . plugins_url( 'images/fete.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Al-Isra\' -	26 Rajeb</strong></td></tr></table></div>")>';}
		else if($date == "09,07"){ echo '<img src="' . plugins_url( 'images/fete.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Ramadhan - 1 Ramadan</strong></td></tr></table></div>")>';}
		else if($date == "02,08"){ echo '<img src="' . plugins_url( 'images/moon.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Laylat al-Qadr - 26 Ramadan</strong></td></tr></table></div>")>';}
		else if($date == "07,08"){ echo '<img src="' . plugins_url( 'images/fete.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Aid el Fitr - 1er Chawel<br>Aïdkoum Mabrouk !</strong></td></tr></table></div>")>';}
		else if($date == "14,10"){ echo '<img src="' . plugins_url( 'images/fete.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Aid el Kebir - 10 Dhu al Hijja<br></strong></td></tr></table></div>")>';}
		else if($date == "06,06"){ echo '<img src="' . plugins_url( 'images/moon.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Lailat al Miraj</strong></td></tr></table></div>")>';}
		else if($date == "24,06"){ echo '<img src="' . plugins_url( 'images/moon.png "width=120"'  , __FILE__ ) . '"("<div><table><tr><td><td><strong>Lailat al Barat</strong></td></tr></table></div>")>';}
		 	 						
 			
	//En cas de vacances rien n'est affiché.
	
	else 
	{ 
	echo '<div style="z-index:76" onmouseover="document.getElementById(\'Phadj\').style.visibility=\'visible\';"><font color="green"><u>Fêtes et Jours fériés 2013</u></font></div><div style=" background:#80ca44; position:absolute; top:1;z-index:76; display:block; margin:0; padding:0; visibility:hidden; text-align:left; cursor:pointer" onmouseout="this.style.visibility=\'hidden\';" id="Phadj">
	<ul>
	<li>* Al Mawlid Al Nabi- 12 Rabi\' I</li>
	<li>* Raas Assana - Nouvel an</li>
	<li>* Achoura - 10 Muharem</li>
	<li>* Al-Isra\' -	26 Rajeb</li>
	<li>* Ramadhan - 1 Ramadan</li>
	<li>* Laylat al-Qadr - 26 Ramadan</li>
	<li>* Aïd el Fitr (Aid de la rupture) - 1er Chawel</li>
	<li>* Aïd el Kebir (Aïd du sacrifice) - 10 Dhu al Hijja</li>
	<li>* Lailat al Miraj - Voyage nocturne</li>
	<li>* Laylat ul Bara\'ah - Nuit de la Purification</li>
			</ul>
	</div>';
	}
 
    echo $after_widget;
	}
 
	}
add_action( 'widgets_init', create_function('', 'return register_widget("fichta");') );

?>